Index: uspace/lib/posix/fnmatch.c
===================================================================
--- uspace/lib/posix/fnmatch.c	(revision 4c8f5e7cf5a36a3df239abbc7d94dc09f00044b0)
+++ uspace/lib/posix/fnmatch.c	(revision 55b1efdf7543e6d4c2b3b3ddc286283113cfb605)
@@ -66,7 +66,8 @@
 #define COLL_ELM_INVALID -1
 
-/** Get collating element matching a string.
- *
- * @param str
+/**
+ * Get collating element matching a string.
+ *
+ * @param str String representation of the element.
  * @return Matching collating element or COLL_ELM_INVALID.
  */
@@ -79,8 +80,9 @@
 }
 
-/** Get collating element matching a single character.
- *
- * @param c
- * @return
+/**
+ * Get collating element matching a single character.
+ *
+ * @param c Character representation of the element.
+ * @return Matching collating element.
  */
 static coll_elm_t _coll_elm_char(int c)
@@ -89,8 +91,9 @@
 }
 
-/** Match collating element with a beginning of a string.
- *
- * @param elm
- * @param str
+/**
+ * Match collating element with a beginning of a string.
+ *
+ * @param elm Collating element to match.
+ * @param str String which beginning should match the element.
  * @return 0 if the element doesn't match, or the number of characters matched.
  */
@@ -100,6 +103,7 @@
 }
 
-/** Checks whether a string begins with a collating element in the given range.
- *  Ordering depends on the locale (if locales are supported).
+/**
+ * Checks whether a string begins with a collating element in the given range.
+ * Ordering depends on the locale (if locales are supported).
  *
  * @param first First element of the range.
@@ -114,5 +118,6 @@
 }
 
-/** Read a string delimited by [? and ?].
+/**
+ * Read a string delimited by [? and ?].
  *
  * @param pattern Pointer to the string to read from. Its position is moved
@@ -189,9 +194,10 @@
 };
 
-/** Compare function for binary search in the _char_classes array. 
+/**
+ * Compare function for binary search in the _char_classes array.
  * 
- * @param key
- * @param elem
- * @return
+ * @param key Key of the searched element.
+ * @param elem Element of _char_classes array.
+ * @return Ordering indicator (-1 less than, 0 equal, 1 greater than).
  */
 static int _class_compare(const void *key, const void *elem)
@@ -201,5 +207,6 @@
 }
 
-/** Returns whether the given character belongs to the specified character class.
+/**
+ * Returns whether the given character belongs to the specified character class.
  * 
  * @param cname Name of the character class.
@@ -223,6 +230,7 @@
 }
 
-/** Tries to parse an initial part of the pattern as a character class pattern,
- *  and if successful, matches the beginning of the given string against the class.
+/**
+ * Tries to parse an initial part of the pattern as a character class pattern,
+ * and if successful, matches the beginning of the given string against the class.
  * 
  * @param pattern Pointer to the pattern to match. Must begin with a class
@@ -248,6 +256,7 @@
 /************** END CHARACTER CLASSES ****************/
 
-/** Reads the next collating element in the pattern, taking into account
- *  locale (if supported) and flags (see fnmatch()).
+/**
+ * Reads the next collating element in the pattern, taking into account
+ * locale (if supported) and flags (see fnmatch()).
  * 
  * @param pattern Pattern.
@@ -299,6 +308,7 @@
 }
 
-/** Matches the beginning of the given string against a bracket expression
- *  the pattern begins with.
+/**
+ * Matches the beginning of the given string against a bracket expression
+ * the pattern begins with.
  * 
  * @param pattern Pointer to the beginning of a bracket expression in a pattern.
@@ -394,6 +404,7 @@
 }
 
-/** Matches a portion of the pattern containing no asterisks (*) against
- *  the given string.
+/**
+ * Matches a portion of the pattern containing no asterisks (*) against
+ * the given string.
  * 
  * @param pattern Pointer to the unmatched portion of the pattern.
@@ -497,5 +508,6 @@
 }
 
-/** Match string against a pattern.
+/**
+ * Match string against a pattern.
  * 
  * @param pattern Pattern.
@@ -559,5 +571,6 @@
 }
 
-/** Transform the entire string to lowercase.
+/**
+ * Transform the entire string to lowercase.
  * 
  * @param s Input string.
@@ -578,8 +591,9 @@
  * Filename pattern matching.
  *
- * @param pattern
- * @param string
- * @param flags
- * @return
+ * @param pattern Pattern to match the string against.
+ * @param string Matched string.
+ * @param flags Flags altering the matching of special characters
+ *     (mainly for dot and slash).
+ * @return Zero if the string matches the pattern, FNM_NOMATCH otherwise.
  */
 int posix_fnmatch(const char *pattern, const char *string, int flags)
